<?php

namespace app\model;

use DateTimeInterface;
use support\Model;

class RuleAddedComponent extends Model
{
    protected $table = 'rule_added_component';

    protected $primaryKey = 'rule_added_component_id';

    protected $dateFormat = 'U';

    const CREATED_AT = 'rule_added_component_addtimes';

    const UPDATED_AT = null;

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}